Skip to main content

GetLocationFromCells

POST 

/location/cell

Alternative: POST /location/ground-fix (GetLocationFromCellsOrWifiNetworks) also covers this use case.

Gets the lat, lon, and uncertainty values for the LTE, GSM, or WCDMA cell(s) passed. If the optional nmr parameter is passed the endpoint operates in a "multi-cell" mode, using more than one cell to determine a more accurate location. At least one cell is required. An empty lte, ltecatm, nbiot, gsm, or wcdma array is treated the same as an omitted field.

Cloud-to-cloud request:

curl -X POST "$API_HOST/v1/organizations/$ORG_SLUG/projects/$PROJECT_SLUG/location/cell" -H "Authorization: Bearer $NRFCLOUD_OAT" -H "Content-Type: application/json" -d "{\"lte\":[{\"mcc\": 244, \"mnc\": 91,\"tac\": 4099,\"eci\":36078631}]}"

Basic Request:

curl -X POST "$API_HOST/v1/location/cell" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "{\"lte\":[{\"mcc\": 244, \"mnc\": 91,\"tac\": 4099,\"eci\":36078631}]}"

Save device location and silence response:

curl --verbose -X POST "$API_HOST/v1/location/cell?doReply=0" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "{\"lte\":[{\"mcc\": 244, \"mnc\": 91,\"tac\": 4099,\"eci\":36078631}]}"

Request​

Responses​

Returns lat/lon coordinates and uncertainty for a device using cell data.